#!/usr/bin/env python
#
# Copyright (C) 2011-2014 Oracle. All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation, version 2.  This program is distributed in the hope that it will
# be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.  You should have received a copy of the GNU
# General Public License along with this program; if not, write to the Free
# Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 021110-1307, USA.
####################################################################################################
#
#	Author:		Joshua Nicholas
#
"""Utilities for controlling access to a particular disk
"""

import st_utils

####################################################################################################

__all__ = [	'global_numOfDisksSetupAtOnce'
		,	'setup_disk_for_access'
		,	'done_accessing_disk' ]

####################################################################################################

global_numOfDisksSetupAtOnce   = 2000

####################################################################################################
def setup_disk_for_access( vi_errorAndLog_obj, wwid, diskInfo_DICT ):
	"""
	This routine
	"""
#
	diskInfo = diskInfo_DICT[ wwid ]
	diskInfo.mCurState.mWasAlreadyAccessible = True


	if 0:
		if len( unavailable_vgname_LIST ) > 0:
			cmdArgs	= [ 'vgchange', '--available', 'ly', ' '.join( unavailable_vgname_LIST ) ]
			stdout_LIST, stderr_LIST, exitStatus, deltaTime = st_utils.vi_exe_sync( vi_errorAndLog_obj, cmdArgs )
			del( stdout_LIST )
			del( stderr_LIST )


####################################################################################################
def done_accessing_disk( vi_errorAndLog_obj, wwid, diskInfo_DICT ):
	"""
	This routine
	"""
#
	pass

	if 0:
		if len( unavailable_vgname_LIST ) > 0:
			cmdArgs	= [ 'vgchange', '--available', 'ln', ' '.join( unavailable_vgname_LIST ) ]
			stdout_LIST, stderr_LIST, exitStatus, deltaTime = st_utils.vi_exe_sync( vi_errorAndLog_obj, cmdArgs )
			del( stdout_LIST )
			del( stderr_LIST )


####################################################################################################
# END
